Subject: bug#65924: git searches coreutils and util-linux commands in PATH

From: Maxim Cournoyer <[email-masked]>
Date: Mon, 09 Oct 2023 14:21:06 -0400

Hello,

Liliana Marie Prikler <[email-masked]> writes:

> Am Montag, dem 09.10.2023 um 10:21 -0400 schrieb Maxim Cournoyer:
>> Hi Liliana :-)
>> 
>> Liliana Marie Prikler <[email-masked]> writes:
>> 
>> > Am Samstag, dem 07.10.2023 um 23:18 -0400 schrieb Maxim Cournoyer:
>> > > It's simpler to add features on top of a minimal variant than to
>> > > remove them, and helps avoiding mistakenly changing git-minimal,
>> > > which has many dependents.
>> > > 
>> > > * gnu/packages/version-control.scm (git-minimal): Move above git
>> > > and severe inheritance.  Remove input label.  Repatriate most
>> > > fields from...
>> > > (git): ... here.  Define as package/inherit to inherit from git-
>> > > minimal.
>> > > Extend minimal values instead of overriding them whole.
>> > > ---
>> > Having done the same to Emacs recently, I fully agree with this
>> > move.
>> 
>> Great; does this mean a LGTM on your side for this one?  Please be
>> explicit :-).
> If you need me to reduce it to four letters, yes, LGTM.

Explicit is better than implicit.  I've been thinking to document this
in our contributing section; e.g. a reviewed commit must have the 'LGTM'
from the reviewer.  If a series is LGTM, it needs to be implicitly
mentioned with 'this series LGTM'.  That may sound silly, but I think
it'd simplify reviewer/submitters interactions.

-- 
Thanks,
Maxim